GWT 2.7.0

## com.google.gwt.resources.ext
Class AbstractResourceGenerator

    java.lang.Object
      com.google.gwt.resources.ext.AbstractResourceGenerator

All Implemented Interfaces:
  ResourceGenerator

    public abstract class AbstractResourceGenerator

extends java.lang.Object
implements ResourceGenerator

A base class providing common methods for ResourceGenerator implementations.

See Also:
  `ResourceGeneratorUtil`

Field Summary
`protected static boolean` | `STRIP_COMMENTS`

Constructor Summary
`AbstractResourceGenerator()`

Method Summary
`abstract java.lang.String` | `createAssignment(TreeLogger logger, ResourceContext context, JMethod method)` Produce the right-hand-side of a Java assignment expression to provide the singleton instance object for a particular resource.
`void` | `createFields(TreeLogger logger, ResourceContext context, ClientBundleFields fields)` A no-op implementation.
`void` | `finish(TreeLogger logger, ResourceContext context)` A no-op implementation.
`void` | `init(TreeLogger logger, ResourceContext context)` A no-op implementation.
`void` | `prepare(TreeLogger logger, ResourceContext context, ClientBundleRequirements requirements, JMethod method)` A no-op implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRIP_COMMENTS

    protected static final boolean STRIP_COMMENTS

Constructor Detail

### AbstractResourceGenerator

    public AbstractResourceGenerator()

Method Detail

### createAssignment

    public abstract java.lang.String createAssignment(TreeLogger logger,
                                                      ResourceContext context,
                                                      JMethod method)
                                               throws UnableToCompleteException

  Description copied from interface: `ResourceGenerator`
  Produce the right-hand-side of a Java assignment expression to provide the singleton instance object for a particular resource.

  Example:

       new MySampleResource() { public Foo getFoo() { ... } }

  Specified by:
    `createAssignment` in interface `ResourceGenerator`
  Throws:
    `UnableToCompleteException`

### createFields

    public void createFields(TreeLogger logger,
                             ResourceContext context,
                             ClientBundleFields fields)
                      throws UnableToCompleteException

  A no-op implementation.

  Specified by:
    `createFields` in interface `ResourceGenerator`
  Throws:
    `UnableToCompleteException`

### finish

    public void finish(TreeLogger logger,
                       ResourceContext context)
                throws UnableToCompleteException

  A no-op implementation.

  Specified by:
    `finish` in interface `ResourceGenerator`
  Throws:
    `UnableToCompleteException`

### init

    public void init(TreeLogger logger,
                     ResourceContext context)
              throws UnableToCompleteException

  A no-op implementation.

  Specified by:
    `init` in interface `ResourceGenerator`
  Throws:
    `UnableToCompleteException`

### prepare

    public void prepare(TreeLogger logger,
                        ResourceContext context,
                        ClientBundleRequirements requirements,
                        JMethod method)
                 throws UnableToCompleteException

  A no-op implementation.

  Specified by:
    `prepare` in interface `ResourceGenerator`
  Throws:
    `UnableToCompleteException`

GWT 2.7.0